Bug 1201437 - (CVE-2022-30631) VUL-0: CVE-2022-30631: go1.17,go1.18: compress/gzip stack exhaustion in Reader.Read
(CVE-2022-30631)
VUL-0: CVE-2022-30631: go1.17,go1.18: compress/gzip stack exhaustion in Reade...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Jeff Kowalczyk
Security Team bot
https://smash.suse.de/issue/337034/
CVSSv3.1:SUSE:CVE-2022-30631:6.2:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-07-12 22:40 UTC by Jeff Kowalczyk
Modified: 2022-08-04 16:19 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Kowalczyk 2022-07-12 22:40:33 UTC
Calling Reader.Read on an archive containing a large number of concatenated 0-length compressed files can cause a panic due to stack exhaustion.

This is CVE-2022-30631 and Go issue https://go.dev/issue/53168.

References:

https://nvd.nist.gov/vuln/detail/CVE-2021-30639
Comment 1 Jeff Kowalczyk 2022-07-12 22:50:37 UTC
The previous NIST reference is incorrect, please disrgard. Valid references will be available at a later date.
Comment 3 Hu 2022-07-13 12:21:31 UTC
Affected as well:
- SUSE:SLE-15:Update/go1.15  1.15.15
- openSUSE:Factory/go1.15    1.15.15
- SUSE:SLE-15:Update/go1.16  1.16.15
- openSUSE:Factory/go1.16    1.16.15
Comment 4 Hu 2022-07-14 07:57:28 UTC
Please ignore my last comment, go1.15 and go1.16 are out of support
Comment 6 Robert Frohl 2022-08-04 14:14:18 UTC
done
Comment 7 Swamp Workflow Management 2022-08-04 16:16:57 UTC
SUSE-SU-2022:2671-1: An update that solves 10 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1190649,1201434,1201436,1201437,1201440,1201443,1201444,1201445,1201447,1201448,1202035
CVE References: CVE-2022-1705,CVE-2022-1962,CVE-2022-28131,CVE-2022-30630,CVE-2022-30631,CVE-2022-30632,CVE-2022-30633,CVE-2022-30635,CVE-2022-32148,CVE-2022-32189
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    go1.17-1.17.13-150000.1.42.1
openSUSE Leap 15.3 (src):    go1.17-1.17.13-150000.1.42.1
SUSE Manager Server 4.1 (src):    go1.17-1.17.13-150000.1.42.1
SUSE Manager Retail Branch Server 4.1 (src):    go1.17-1.17.13-150000.1.42.1
SUSE Manager Proxy 4.1 (src):    go1.17-1.17.13-150000.1.42.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    go1.17-1.17.13-150000.1.42.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    go1.17-1.17.13-150000.1.42.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    go1.17-1.17.13-150000.1.42.1
SUSE Linux Enterprise Module for Development Tools 15-SP4 (src):    go1.17-1.17.13-150000.1.42.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    go1.17-1.17.13-150000.1.42.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    go1.17-1.17.13-150000.1.42.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    go1.17-1.17.13-150000.1.42.1
SUSE Enterprise Storage 7 (src):    go1.17-1.17.13-150000.1.42.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-08-04 16:19:17 UTC
SUSE-SU-2022:2672-1: An update that solves 10 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1193742,1201434,1201436,1201437,1201440,1201443,1201444,1201445,1201447,1201448,1202035
CVE References: CVE-2022-1705,CVE-2022-1962,CVE-2022-28131,CVE-2022-30630,CVE-2022-30631,CVE-2022-30632,CVE-2022-30633,CVE-2022-30635,CVE-2022-32148,CVE-2022-32189
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    go1.18-1.18.5-150000.1.25.1
openSUSE Leap 15.3 (src):    go1.18-1.18.5-150000.1.25.1
SUSE Linux Enterprise Module for Development Tools 15-SP4 (src):    go1.18-1.18.5-150000.1.25.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    go1.18-1.18.5-150000.1.25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.